rand('seed', getdate('s'));
rand('uniform');

n=500;
N=10^3;
p=.4;   // essayer .1 et commenter !
alpha=.05;
z=cdfnor('X',0,1,1-alpha/2,alpha/2);
X=grand(N,n,'bin',1,p);
Xbar=sum(X,'c')/n;

  // IC B-T
disp('IC B-T');
r=1/2/sqrt(n*alpha);
niv=sum(abs(Xbar-p)<r)/N;
disp(r, 'demi-largeur : ');
disp(niv, 'niveau réel : ');

  // IC TLC + majoration variance
disp('IC TLC + majoration variance');
r=z/2/sqrt(n);
niv=sum(abs(Xbar-p)<r)/N;
disp(r, 'demi-largeur : ');
disp(niv, 'niveau réel : ');

  // IC TLC + estimation sigma
disp('IC TLC + estimation sigma');
r=z*sqrt(Xbar.*(1-Xbar)/n);
niv=sum(abs(Xbar-p)<r)/N;
disp(mean(r), 'demi-largeur moyenne : ');
disp(niv, 'niveau réel : ');
